# https://fedoraproject.org/wiki/Packaging:Haskell
# https://fedoraproject.org/wiki/PackagingDrafts/Haskell

%global pkg_name data-inttrie

%global common_summary A simple lazy, infinite trie from integers

%global common_description Provides a minimal infinite, lazy trie for \
integral types. It intentionally leaves out ideas such as delete and \
emptiness so that it can be used lazily, eg. as the target of an infinite \
foldr. Essentially its purpose is to be an efficient implementation of \
a function from integral type, given point-at-a-time modifications.

Name:           ghc-%{pkg_name}
Version:        0.1.0
Release:        1%{?dist}
Summary:        %{common_summary}

License:        BSD
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
# Begin cabal-rpm deps:
# End cabal-rpm deps

%description
%{common_description}

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%ghc_devel_package

%ghc_devel_description

%ghc_devel_post_postun

%ghc_files

%changelog
* Sat Apr 20 2013 Shakthi Kannan <shakthimaan [AT] fedoraproject dot org> - 0.1.0-1
- Updated to 0.1.0

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Dec  6 2012 Shakthi Kannan <shakthimaan [AT] fedoraproject dot org> - 0.0.8-1
- updated to new upstream 0.0.8

* Sun Nov 18 2012 Jens Petersen <petersen@redhat.com> - 0.0.7-2
- update with cabal-rpm

* Tue Jun 12 2012 Shakthi Kannan <shakthimaan [AT] fedoraproject dot org> - 0.0.7-1
- Spec file template generated by cabal2spec-0.25.5
